/*************************************************************************
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2015 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains
* the property of Adobe Systems Incorporated and its suppliers,
* if any.  The intellectual and technical concepts contained
* herein are proprietary to Adobe Systems Incorporated and its
* suppliers and are protected by all applicable intellectual 
* property laws, including trade secret and copyright laws.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from Adobe Systems Incorporated.
**************************************************************************/

package coldfusion.mail;

import java.io.File;


import coldfusion.server.ServiceException;
import coldfusion.util.PasswordUtils;

public class CLIMailSpooler extends MailSpooler
{

    private File configfile = null;
    private String rootdir = null;
    
    public CLIMailSpooler(File file, String rootdir)
    {
        super(file, rootdir);
        this.configfile = file;
        this.rootdir = rootdir;

        //set the watch flag and watchfile
        setEnableWatch(false);
        //setWatchFile(configfile);
    }
    
    public void start() throws ServiceException
    {
        super.start();
        PasswordUtils.getInstance().addObserver(this);

    }
}
